{% extends 'index.html' %}
{% load static %}
{% block content %}

<div class="columns is-flex is-justify-content-center-space-around">
    <div class="column is-6">
        <div class="card">
            <div class="card-image">
                <figure class="image is-4by3">
                    <img src="{{ news.image.url }}" alt="">
                </figure>
            </div>
            <div class="card-content">
                <div class="media">
                    <div class="media-content">
                        <p class="title is-4">{{news.title}}</p>
                    </div>
                </div>

                <div class="content">
                    <p>{{news.description}}</p>
                    <br>
                    <time datetime="">{{news.date|date:"j D F, Y"}}
                        
                    </time>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="columns">
    <div class="column box">
        <form class="form" action="{% url 'leave_comment' news.slug %}" method="POST">
        {% csrf_token %}
            <textarea class="textarea" id="comment" name="comment_text" cols="10" rows="1" aria-required="true" placeholder="Оставьте комментарий"></textarea>
            <br>
            <button class="button is-primary" type="submit">Leave your comment</button>
            <button style="margin-bottom: 15px;" class="button is-primary" type="reset">Cancel</button>
            
            {% for comment in news.comments.all %}
                <p style="margin-left: 6px;" class=""><i>{{comment.author_name}}: </i>{{comment.comment_text}}</p>
            {% endfor %}
        </form>
    </div>
  </div>

{% endblock content %}